include:
  - template: Security/SAST.gitlab-ci.yml

stages:
  - sast
  - test

bandit-sast:
  stage: sast
  image: python:3.8.10-slim
  before_script:
    - pip install pipenv
    - pipenv install bandit
  script:
    - pipenv run bandit --exit-zero -r .
  allow_failure: false

semgrep-sast:
  stage: sast
  image: python:3.8.10-slim
  before_script:
    - pip install pipenv
    - pip install semgrep
  script:
    - semgrep --config=p/r2c-ci .
  allow_failure: false

safety:
  stage: sast
  image: python:3.8.10-slim
  before_script:
    - pip install pipenv
    - pipenv sync --dev
  script:
    - echo "Scan the installed python packages for known security vulnerabilities..."
    - pipenv check
  allow_failure: false
  except:
    - tags

test:
    stage: test
    image: python:3.8.10-slim
    script:
        - echo "Not implemented"
    when: always
